SND_HWDEP_NEW(9)

NAME
snd_hwdep_new - create a new hwdep instance

SYNOPSIS

int snd_hwdep_new(struct snd_card * card, char * id, int device, struct snd_hwdep ** rhwdep);

ARGUMENTS

card
    the card instance

id
    the id string

device
    the device index (zero-based)

rhwdep
    the pointer to store the new hwdep instance

DESCRIPTION

Creates a new hwdep instance with the given index on the card. The callbacks (hwdep->ops) must be set on the returned instance after this call manually by the caller.

RETURN

Zero if successful, or a negative error code on failure.

COPYRIGHT